templates:
- rsx
- code-corlab
- cmake-common-lisp
- base

catalog:
  title: Robotics Service Bag Tools - Common Lisp Implementation

variables:
  keywords:
  - event
  - recording
  - replay
  - log file
  - tidelog
  recipe.maintainer:
  - Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

  redmine-project: rsbag

  repository: https://code.cor-lab.de/git/rsbag.git.tools-cl
  branches:
  - '@{rsx.branches}'
  - feature-recording-events
  - 0.15-with-ensuredirectoryandopen

  numeric-version: ${version-name}
  extra-systems:
  - nature: asdf
    target: rsb-yarp
    version: ${numeric-version}
  - nature: asdf
    target: rsb-ros
    version: ${numeric-version}
  extra-requires:
  - '@{extra-systems|[]}'
  - '@{next-value|[]}'

  cmake.environment:
  - SPREAD_LIBRARY=${toolkit.dir}/lib/libspread
  - '@{next-value|[]}'

  cmake.options:
  - MAIN_BINARY_NAME=${binary.new-name}
  - '@{next-value|[]}'

  binary.original-name: rsbagcl${numeric-version}
  binary.new-name: ${binary.rename.to|${binary.original-name}}

  binary.symlink.prefix:
  - bag-
  binary.symlink.suffix: cl${numeric-version}
  binary.symlink.command: |
    ./${binary.new-name} create-links "${binary.symlink.prefix}" "${binary.symlink.suffix}"

  deployment.test: ${toolkit.dir}/bin/${binary.new-name} --version

  post-build-hook/unix.command: |
    cd ${toolkit.dir}/bin
    SPREAD_LIBRARY=${toolkit.dir}/lib/libspread ./${binary.new-name} redump ${binary.new-name} static
    @{binary.symlink.command}

versions:
- name: master
  variables:
    numeric-version: ${rsx.master-numeric-version}
    binary.symlink.prefix: false

- name: feature-recording-events
  variables:
    numeric-version: '0.13'
    extra-systems: []
    cmake.options:
    - WITH_YARP_TRANSPORT=OFF
    - WITH_ROS_TRANSPORT=OFF
    - '@{next-value}'
    binary.rename.to: ${binary.original-name}-recording-events
    binary.symlink.prefix: false

- name: 0.15-with-ensuredirectoryandopen
  variables:
    extra-systems: []
    cmake.options:
    - WITH_YARP_TRANSPORT=OFF
    - WITH_ROS_TRANSPORT=OFF
    - '@{next-value}'
    binary.rename.to: ${binary.original-name}-ensuredirectoryandopen
    binary.symlink.prefix: false

- name: 0.17-rsb-only
  variables:
    branch: '0.17'
    extra-systems: []
    cmake.options:
    - WITH_YARP_TRANSPORT=OFF
    - WITH_ROS_TRANSPORT=OFF
    - '@{next-value}'
    binary.rename.to: rsbagcl${branch}
    binary.symlink.prefix: false

- name: 0.18-rsb-only
  variables:
    branch: '0.18'
    extra-systems: []
    cmake.options:
    - WITH_YARP_TRANSPORT=OFF
    - WITH_ROS_TRANSPORT=OFF
    - '@{next-value}'
    binary.rename.to: rsbagcl${branch}
    binary.symlink.prefix: false
